﻿Public Class frmstickerinformationvb

    Private Sub frmstickerinformationvb_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        con.Open()
        Try
            sql = "SELECT Cs.ID,Os.FULLNAME, Cs.OWNERNUMBER,  Cs.DATEVALIDATED FROM tblstickerinformation AS `Cs`, tblownerinformation AS `Os` WHERE Cs.OWNERNUMBER = Os.OWNERNUMBER "


            cmd.Connection = con
            cmd.CommandText = sql

            dt = New DataTable

            da.SelectCommand = cmd
            da.Fill(dt)

            dgvstickerinformation.DataSource = dt

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

        con.Close()
    End Sub

    Private Sub dgvstickerinformation_CellDoubleClick(sender As Object, e As DataGridViewCellEventArgs) Handles dgvstickerinformation.CellDoubleClick
        Dim Today = Date.Now
        Dim datevalidated As Date = DateAdd(DateInterval.Month, 5, Today)

        
        dpexpirationdate.Text = FormatDateTime(datevalidated, DateFormat.ShortDate)
        txtsiowner.Text = dgvstickerinformation.CurrentRow.Cells("FULLNAME").Value
    End Sub

    Private Sub dgvstickerinformation_DataSourceChanged(sender As Object, e As EventArgs) Handles dgvstickerinformation.DataSourceChanged

        dgvstickerinformation.Columns("OWNERNUMBER").Visible = False
    End Sub

    Private Sub btnsiupdate_Click(sender As Object, e As EventArgs) Handles btnsiupdate.Click
        con.Open()
        Try
            sql = "UPDATE tblstickerinformation SET OWNERNUMBER='" & dgvstickerinformation.CurrentRow.Cells("OWNERNUMBER").Value & "', DATEVALIDATED='" & FormatDateTime(dpdatevalidated.Value, DateFormat.ShortDate) & "' WHERE ID=" & dgvstickerinformation.CurrentRow.Cells("ID").Value

            da = New OleDb.OleDbDataAdapter(sql, con)
            dt = New DataTable

            da.Fill(dt)
            MsgBox("The record has been updated!", MsgBoxStyle.OkOnly, "UPDATE SUCCESSFUL")
            ClearAllTextboxes(Me)
            con.Close()
            frmstickerinformationvb_Load(sender, e)

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

    End Sub

    Private Sub btndelete_Click(sender As Object, e As EventArgs) Handles btndelete.Click
        con.Open()
        sql = "DELETE * FROM tblstickerinformation WHERE ID=" & dgvstickerinformation.CurrentRow.Cells("ID").Value

        da = New OleDb.OleDbDataAdapter(sql, con)
        dt = New DataTable

        da.Fill(dt)

        MsgBox("The record has been updated!", MsgBoxStyle.OkOnly, "UPDATE SUCCESSFUL")
        con.Close()
        frmstickerinformationvb_Load(sender, e)

    End Sub

    Private Sub cbsistickerstatus_KeyPress(sender As Object, e As KeyPressEventArgs)
        e.Handled = True
    End Sub

    Private Sub dpsiexpirationdate_KeyPress(sender As Object, e As KeyPressEventArgs) Handles dpdatevalidated.KeyPress
        e.Handled = True
    End Sub

    Private Sub txtsearch_TextChanged(sender As Object, e As EventArgs) Handles txtsearch.TextChanged
        Try
            con.Open()
            dt = New DataTable
            With cmd
                .Connection = con
                .CommandText = "SELECT Cs.ID,Os.FULLNAME, Cs.OWNERNUMBER, Cs.DATEVALIDATED FROM tblstickerinformation AS `Cs`, tblownerinformation AS `Os` WHERE Cs.OWNERNUMBER = Os.OWNERNUMBER AND Cs.ID LIKE'" & txtsearch.Text & "%'"

            End With

            da.SelectCommand = cmd

            da.Fill(dt)

            dgvstickerinformation.DataSource = dt

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        da.Dispose()
        con.Close()

    End Sub
End Class